## GalViewInstanceSaveAsDialog GalViewInstanceSaveAsDialog |

## Functions

GtkWidget * | gal_view_instance_save_as_dialog_new ()
void | gal_view_instance_save_as_dialog_save ()

## Types and Values

enum | GalViewInstanceSaveAsDialogToggle

## Description

## Functions

### gal_view_instance_save_as_dialog_new ()

    GtkWidget *
    gal_view_instance_save_as_dialog_new (GalViewInstance *instance);

`gal_view_instance_save_as_dialog_new` is deprecated and should not be used in newly-written code.

Returns a new dialog for defining views.

#### Returns

The GalViewInstanceSaveAsDialog.

### gal_view_instance_save_as_dialog_save ()

    void
    gal_view_instance_save_as_dialog_save (GalViewInstanceSaveAsDialog *dialog);

`gal_view_instance_save_as_dialog_save` is deprecated and should not be used in newly-written code.

## Types and Values

### enum GalViewInstanceSaveAsDialogToggle

`GalViewInstanceSaveAsDialogToggle` is deprecated and should not be used in newly-written code.

#### Members

GAL_VIEW_INSTANCE_SAVE_AS_DIALOG_TOGGLE_REPLACE |  |
GAL_VIEW_INSTANCE_SAVE_AS_DIALOG_TOGGLE_CREATE |  |